Create path to fallback to source editor if VE load fails
Closed, ResolvedPublic8 Story Points

Description

As mentioned in T102398. If VE throws an exception (e.g. due to someone breaking site JS on common.js, or a broken browser plugin, or a failed ajax request), there should be a more user friendly error show, with options to launch the source editor or retry.

Esanders created this task.May 19 2016, 3:28 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 19 2016, 3:28 PM
Jdforrester-WMF triaged this task as High priority.May 20 2016, 8:26 AM
Jdforrester-WMF set the point value for this task to 8.
Elitre added a subscriber: Elitre.May 20 2016, 10:04 AM

(I believe that appending ?action=edit&veswitched=1 to the URL, however, is a workaround to get out of VE in those cases? Could be documented better if I'm correct. Once you're in wikitext again, there should be no way for you to go back there unless you really want to.)

(I believe that appending ?action=edit&veswitched=1 to the URL, however, is a workaround to get out of VE in those cases? Could be documented better if I'm correct. Once you're in wikitext again, there should be no way for you to go back there unless you really want to.)

Sort of I suppose, but it's really not intended for that and I don't think we should document it as something that can be relied upon to work in future.

@Jdforrester-WMF: I'm thinking of having a go at implementing this for failed load ajax requests... Do you have any thoughts for how this should work for users with visualeditor-tabs=remember-last on SET wikis? E.g. remember that we switched to WTE, or don't remember that we switched to WTE, or maybe even offer the user a choice like "Switch to WTE (remember for future)" vs. "Switch to WTE (just this once)" (vs. "Cancel" vs. "Retry")? I'm leaning towards not remembering such switches

@Jdforrester-WMF: I'm thinking of having a go at implementing this for failed load ajax requests... Do you have any thoughts for how this should work for users with visualeditor-tabs=remember-last on SET wikis? E.g. remember that we switched to WTE, or don't remember that we switched to WTE, or maybe even offer the user a choice like "Switch to WTE (remember for future)" vs. "Switch to WTE (just this once)" (vs. "Cancel" vs. "Retry")? I'm leaning towards not remembering such switches

I think you're right.

Change 314460 had a related patch set uploaded (by Alex Monk):
Switch to the wikitext editor if VE fails to load

https://gerrit.wikimedia.org/r/314460

Change 314460 merged by jenkins-bot:
Switch to the wikitext editor if VE fails to load

https://gerrit.wikimedia.org/r/314460

Jdforrester-WMF closed this task as Resolved.Oct 20 2016, 11:42 PM